Last Comment Bug 790278 - Add social.enabled and social.active to the Important Modified Preferences in about:support
: Add social.enabled and social.active to the Important Modified Preferences in...
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 09:03 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2012-09-25 11:41 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch (710 bytes, patch)
2012-09-11 16:50 PDT, Jared Wein [:jaws] (please needinfo? me)
no flags Details | Diff | Splinter Review
Patch v2 (732 bytes, patch)
2012-09-12 03:10 PDT, Jared Wein [:jaws] (please needinfo? me)
gavin.sharp: review+
Details | Diff | Splinter Review
Patch for checkin (740 bytes, patch)
2012-09-12 03:13 PDT, Jared Wein [:jaws] (please needinfo? me)
jaws: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-09-11 09:03:12 PDT
Add social.enabled to the Important Modified Preferences in about:support. We need this to help troubleshoot potential issues with the Social API after it has shipped.
Comment 1 Jared Wein [:jaws] (please needinfo? me) 2012-09-11 16:50:33 PDT
Created attachment 660259 [details] [diff] [review]
Patch
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-12 01:31:07 PDT
How about also adding social.active and social.sidebar.open?
Comment 3 Jared Wein [:jaws] (please needinfo? me) 2012-09-12 03:10:51 PDT
Created attachment 660373 [details] [diff] [review]
Patch v2

With the other two prefs. social.sidebar.open defaults to true, so this pref will only show up in about:support if the user has disabled the sidebar.
Comment 4 Jared Wein [:jaws] (please needinfo? me) 2012-09-12 03:13:58 PDT
Created attachment 660375 [details] [diff] [review]
Patch for checkin
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-09-12 13:59:31 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e265b3a3e743
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-09-12 18:16:11 PDT
https://hg.mozilla.org/mozilla-central/rev/e265b3a3e743
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:41:04 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/5f05ed6d4b4d

Note You need to log in before you can comment on or make changes to this bug.